/*
 * LaunchClassLoader.java
 * Created on 2011/10/13
 * RCSID: $Id:$
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 *
 */

package jp.co.ntt.oss.heapstats;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * extends {@link URLClassLoader}<br>
 * <br>
 * This class loader is used to load classes and resources from a search path of
 * URLs referring to both JAR files.
 */
public class LaunchClassLoader extends URLClassLoader {
    /**
     * Constructs a new LaunchClassLoader for the specified URLs using the
     * default delegation parent ClassLoader.
     *
     * @param arg0 the URLs from which to load classes and resources
     */
    public LaunchClassLoader(final URL[] arg0) {
        super(arg0);
    }

    @Override
    public final Class<?> loadClass(final String arg0)
            throws ClassNotFoundException {
        try {
            return findClass(arg0);
        } catch (Exception e) {
            return super.loadClass(arg0);
        }
    }
}
